> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amazonomics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List consistent rank changes



## OpenAPI

````yaml /api-reference/openapi.json get /v1/trends/consistent-change
openapi: 3.0.0
info:
  title: Amazonomics API
  version: 0.0.1
  description: The Amazonomics REST API. All endpoints need an API key.
servers:
  - url: https://api.amazonomics.com
security:
  - bearerAuth: []
paths:
  /v1/trends/consistent-change:
    get:
      tags:
        - Trends
      summary: List consistent rank changes
      parameters:
        - schema:
            type: string
          required: true
          name: start_period
          in: query
        - schema:
            type: string
          required: true
          name: end_period
          in: query
        - schema:
            type: string
            enum:
              - M
              - W
            default: M
          required: false
          name: type
          in: query
        - schema:
            type: string
            enum:
              - positive
              - negative
            default: positive
          required: false
          name: change_type
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 100
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
            default: 0
          required: false
          name: offset
          in: query
        - schema:
            type: string
            enum:
              - total_improvement
              - start_rank
              - end_rank
              - query
            default: total_improvement
          required: false
          name: order_by
          in: query
        - schema:
            type: string
            enum:
              - ASC
              - DESC
            default: DESC
          required: false
          name: order_direction
          in: query
        - schema:
            type: string
          required: false
          name: excluded_categories
          in: query
        - schema:
            type: string
          required: false
          name: search
          in: query
      responses:
        '200':
          description: Consistent change fetched.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    nullable: true
                    items:
                      nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                  pagination:
                    nullable: true
                  periods:
                    type: object
                    nullable: true
                    properties:
                      start:
                        type: string
                      end:
                        type: string
                    required:
                      - start
                      - end
                required:
                  - data
                  - error
                  - periods
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    nullable: true
                    items:
                      nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                  pagination:
                    nullable: true
                  periods:
                    type: object
                    nullable: true
                    properties:
                      start:
                        type: string
                      end:
                        type: string
                    required:
                      - start
                      - end
                required:
                  - data
                  - error
                  - periods
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    nullable: true
                    items:
                      nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                  pagination:
                    nullable: true
                  periods:
                    type: object
                    nullable: true
                    properties:
                      start:
                        type: string
                      end:
                        type: string
                    required:
                      - start
                      - end
                required:
                  - data
                  - error
                  - periods
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````